Bug 1469585 - [Docs][RFE][Director] Enable config to RHSM proxy in heat-templates
[Docs][RFE][Director] Enable config to RHSM proxy in heat-templates
Status: VERIFIED
Product: Red Hat OpenStack
Classification: Red Hat
Component: documentation (Show other bugs)
12.0 (Pike)
Unspecified Unspecified
low Severity low
: ---
: ---
Assigned To: Dan Macpherson
Charelle Collett
:
Depends On: 1314480
Blocks:
  Show dependency treegraph
 
Reported: 2017-07-11 10:08 EDT by Dan Macpherson
Modified: 2017-11-01 02:03 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Dan Macpherson 2017-07-11 10:08:38 EDT
== DECRIPTION ==
Is there an option to force the deployed overcloud image to use a proxy for RHSM contact either via:
- CLI argument to openstack overcloud deploy
- Set variable within rhel-registration heat template
Currently I am modifying the overcloud image using virt-edit and manually configuring /etc/rhsm/rhsm.conf to use the proxy so RHEL registration succeeds during overcloud node boot. This is not a very good method for us due to the automation we are building around Director - we would prefer not to have to crack the overcloud image if the customer is using a proxy server in their environment.

== DOCS IMPACT ==
Requires an update to the Registration chapter in the Advanced Overcloud Guide. Possibly a new example on how to config the RHSM proxy settings
Comment 3 Charelle Collett 2017-10-06 01:07:23 EDT
Looks good to me Dan.
Comment 4 Emilien Macchi 2017-10-19 16:27:08 EDT
Sorry Dan, but our team just figured about a limitation of this feature, which will be considered as a bug, fixed and probably backported as soon as we can.

But for OSP12, it will likely be:

rhel_reg_http_proxy_host is a value of the remote proxy and TripleO doesn't test to reach the host before, so if the proxy isn't reachable, RHSM won't work correctly and probably timeout without an explicit reason.

Our team is working on  a fix but I don't think it will make it on time for OSP12 GA. Therefore, we think this has to be documented for our users.

We'll also make sure GSS knows about this one.

Thanks, please let me know any question.

Needinfo, just to make sure you see this one.

Note You need to log in before you can comment on or make changes to this bug.